%define		_class		Science
%define		_subclass	Chemistry
%define		upstream_name	%{_class}_%{_subclass}
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear

Name:		php-pear-%{upstream_name}
Version:	1.1.2
Release:	%mkrel 2
Summary:	Manipulate chemical objects: atoms, molecules, etc
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/Science_Chemistry/
Source0: 	http://pear.php.net/get/%{upstream_name}-%{version}.tgz
BuildRequires:	php-pear >= 1.4.7
BuildArch:	noarch 

%description
General classes to represent Atoms, Molecules and Macromolecules.  Also
parsing code for PDB, CML and XYZ file formats.  Examples of parsing and
conversion to/from chemical structure formats. Includes a utility class
with
information on the Elements in the Periodic Table.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Science_Chemistry.xml


%post
pear install --nodeps --soft --force --register-only %{xmldir}/Science_Chemistry.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Science_Chemistry
fi

%files
%{peardir}/*
%{xmldir}/Science_Chemistry.xml


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.1.2-2.mga4
+ Revision: 528256
- Mageia 4 Mass Rebuild

* Mon Jun 17 2013 spuhler <spuhler> 1.1.2-1.mga4
+ Revision: 443971
- upgrade to version 1.1.2
- pearized spec file

* Sun Jan 13 2013 umeabot <umeabot> 1.1.1-2.mga3
+ Revision: 377233
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 29 2011 spuhler <spuhler> 1.1.1-1.mga1
+ Revision: 44148
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Science_Chemistry


* Wed Dec 29 2010 Oden Eriksson <oeriksson@mandriva.com> 1.1.1-1mdv2011.0
+ Revision: 625914
- fix build
- 1.1.1

* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-11mdv2011.0
+ Revision: 613765
- the mass rebuild of 2010.1 packages

* Tue Nov 17 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.1.0-10mdv2010.1
+ Revision: 467074
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 1.1.0-9mdv2010.0
+ Revision: 441562
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-8mdv2009.0
+ Revision: 237059
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.1.0-7mdv2008.1
+ Revision: 140730
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-7mdv2007.0
+ Revision: 82547
- Import php-pear-Science_Chemistry

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-7mdk
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-1mdk
- initial Mandriva package (PLD import)

